python-magnumclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:29:13 +0100

python-magnumclient (4.7.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090526).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:15:47 +0100

python-magnumclient (4.7.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:14:38 +0200

python-magnumclient (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 11:04:20 +0200

python-magnumclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased py3.12-key_file-and-cert_file-must-use-context.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:04:11 +0200

python-magnumclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:24:45 +0200

python-magnumclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:28:11 +0100

python-magnumclient (4.2.0-3) unstable; urgency=medium

  * Add py3.12-key_file-and-cert_file-must-use-context.patch
    (Closes: #1058323).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Dec 2023 10:54:22 +0100

python-magnumclient (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:28:21 +0200

python-magnumclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:20:54 +0200

python-magnumclient (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046931).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 11:27:40 +0200

python-magnumclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:15:39 +0200

python-magnumclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:06:40 +0100

python-magnumclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:18:46 +0200

python-magnumclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed remove-profile-eq-none-in-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 14:49:10 +0200

python-magnumclient (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.
  * Removed fix-test_help_on_subcommand.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 23:08:02 +0200

python-magnumclient (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:58:03 +0100

python-magnumclient (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:32:33 +0100

python-magnumclient (3.5.0-3) unstable; urgency=medium

  * Add fix-test_help_on_subcommand.patch (Closes: #1002421).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 12:13:21 +0100

python-magnumclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:40:55 +0200

python-magnumclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:43:57 +0200

python-magnumclient (3.4.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:10:29 +0200

python-magnumclient (3.4.1-1) experimental; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 13:15:03 +0200

python-magnumclient (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:03:35 +0100

python-magnumclient (3.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:11:23 +0200

python-magnumclient (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * python3-cryptography >= 3.0.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:26:40 +0200

python-magnumclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:22:37 +0200

python-magnumclient (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:57:45 +0200

python-magnumclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:15:03 +0200

python-magnumclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-basic-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 10:56:51 +0200

python-magnumclient (2.15.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:35:02 +0200

python-magnumclient (2.15.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 23:50:58 +0200

python-magnumclient (2.12.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:23:23 +0200

python-magnumclient (2.12.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools >= 98~ (Closes: #926993).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Apr 2019 13:56:58 +0200

python-magnumclient (2.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-py37-compatibility.patch & fix-crash-str-bytes.patch applied
    upstream.
  * Running unit tests with installed Python module.
  * Add remove-basic-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 08:52:24 +0100

python-magnumclient (2.10.0-3) unstable; urgency=medium

  * Remove skip-tests.patch
  * Add fix-py37-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 16 Nov 2018 16:54:47 +0100

python-magnumclient (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:58:14 +0200

python-magnumclient (2.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.
  * Add skip-tests.patch, taken from Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 10:13:44 +0200

python-magnumclient (2.8.0-2) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:09:16 +0100

python-magnumclient (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release:
    - Fixes FTBFS (Closes: #891360).
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Add remove-profile-eq-none-in-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 22:10:45 +0100

python-magnumclient (2.7.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Add B-D on python{,3}-openstackclient (Closes: #877840)
  * Standards-Version is 4.1.2 now (no changes needed)

  [ Thomas Goirand ]
  * Added python-openstackdocstheme build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jan 2018 12:36:24 +0000

python-magnumclient (2.7.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:09:54 +0000

python-magnumclient (2.7.0-2) experimental; urgency=medium

  * Added missing build-depends: python{3,}-oslo.log (Closes: #877840).

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 12:03:00 +0200

python-magnumclient (2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 20:51:25 +0200

python-magnumclient (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (buid-)depends for this release.
  * Removed all patches (all applied upstream).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2016 00:10:01 +0100

python-magnumclient (1.1.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * Align build(-depends) with upstream.
  * d/p/py3-unicode-compat.patch: Add py3 compatibility for unicode builtin.
  * d/p/fix-dict-assert.patch: Fix dictionary order for assert in
    test_keys_and_vals_to_strs.

  [ James Page ]
  * d/rules: Ensure unit tests are executed for all python versions.

  [ Thomas Goirand ]
  * Black list:
    - test_utils.CliUtilsTest.test_keys_and_vals_to_strs

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2016 10:17:03 +0000

python-magnumclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 08:23:52 +0000

python-magnumclient (0.2.1-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:07:00 +0000

python-magnumclient (0.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:03:18 +0000

python-magnumclient (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #798251)

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 13:11:21 +0200
